Package org.eclipse.gef.fx.nodes

# Class PolyBezierInterpolator

java.lang.Object
org.eclipse.gef.fx.nodes.AbstractInterpolator
org.eclipse.gef.fx.nodes.PolyBezierInterpolator

All Implemented Interfaces:
  `IConnectionInterpolator`

public class PolyBezierInterpolator extends AbstractInterpolator
The `PolyBezierInterpolator` interpolates a cubic Bezier spline through the supplied `way points`.

## Constructor Summary

Constructors
Constructor
Description
`PolyBezierInterpolator()`

## Method Summary

Modifier and Type
Method
Description
`protected ICurve`
`computeCurve(Connection connection)`
Computes an `ICurve` geometry from the `Connection`'s points, which is used to update the `curve node`.

### Methods inherited from class org.eclipse.gef.fx.nodes.AbstractInterpolator

`arrangeDecoration, clipAtDecoration, interpolate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PolyBezierInterpolator

public PolyBezierInterpolator()

## Method Details

### computeCurve

protected ICurve computeCurve(Connection connection)
Description copied from class: `AbstractInterpolator`
Computes an `ICurve` geometry from the `Connection`'s points, which is used to update the `curve node`.

Specified by:
  `computeCurve` in class `AbstractInterpolator`
Parameters:
  `connection` - The `Connection`, for which to compute a new `ICurve` geometry.
Returns:
  An `ICurve` that represents the to be rendered geometry.